// CellMap.h: interface for the CellMap class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_CELLMAP_H__4E4E85B4_8785_4190_AB57_E0658D815D8E__INCLUDED_)
#define AFX_CELLMAP_H__4E4E85B4_8785_4190_AB57_E0658D815D8E__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CellMap  
{
public:
	void getSize(long & xMin, long & xMax, long & yMin, long & yMax);
	void delRef();
	void addRef();
	bool getCell(long x, long y);
	CellMap(long dx, long dy, const char * rle);
	virtual ~CellMap();

private:
	long m_ref;
	void readRle(const char * rle);
	long m_dx;
	long m_dy;
	bool * m_image;
	long m_width;
	long m_height;
};

#endif // !defined(AFX_CELLMAP_H__4E4E85B4_8785_4190_AB57_E0658D815D8E__INCLUDED_)
